> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/errors.md).

# Errors

## Get errors

> This api is used to sync errors with WorkorderApp.\
> Each error record can contain the following data:\
> \
> \| Parameter                 | Description                                                                         | Required | Type (size)   |\
> \|---------------------------|-------------------------------------------------------------------------------------|----------|---------------|\
> \| code                      | Unique code                                                                         | Y        | Varchar (255) | \
> \| description               | Description of the error. The employee can edit this when added to a work order. | Y        | Varchar (255) | \
> \| app\_enabled               | Indication if the error should be visible in the app                             | N        | Integer (11)  |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/errors/":{"get":{"summary":"Get errors","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Errors"],"description":"This api is used to sync errors with WorkorderApp.\nEach error record can contain the following data:\n\n| Parameter                 | Description                                                                         | Required | Type (size)   |\n|---------------------------|-------------------------------------------------------------------------------------|----------|---------------|\n| code                      | Unique code                                                                         | Y        | Varchar (255) | \n| description               | Description of the error. The employee can edit this when added to a work order. | Y        | Varchar (255) | \n| app_enabled               | Indication if the error should be visible in the app                             | N        | Integer (11)  |"}}}}
```

## Add errors

> This api is used to sync errors with WorkorderApp.\
> Each error record can contain the following data:\
> \
> \| Parameter                 | Description                                                                         | Required | Type (size)   |\
> \|---------------------------|-------------------------------------------------------------------------------------|----------|---------------|\
> \| code                      | Unique code                                                                         | Y        | Varchar (255) | \
> \| description               | Description of the error. The employee can edit this when added to a work order. | Y        | Varchar (255) | \
> \| app\_enabled               | Indication if the error should be visible in the app                             | N        | Integer (11)  |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/errors/":{"post":{"summary":"Add errors","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Errors"],"description":"This api is used to sync errors with WorkorderApp.\nEach error record can contain the following data:\n\n| Parameter                 | Description                                                                         | Required | Type (size)   |\n|---------------------------|-------------------------------------------------------------------------------------|----------|---------------|\n| code                      | Unique code                                                                         | Y        | Varchar (255) | \n| description               | Description of the error. The employee can edit this when added to a work order. | Y        | Varchar (255) | \n| app_enabled               | Indication if the error should be visible in the app                             | N        | Integer (11)  |"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
